Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: Newer HL2 Maps not Compatible with SMOD Standalone's Engine  (Read 3827 times)

0 Members and 1 Guest are viewing this topic.

Offline Chr0n0Tr!gg3r

  • *
  • *
  • +2% chance to make useful post
  • Chr0n0Tr!gg3r has no influence.
Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« on: August 30, 2016, 07:36:23 PM »
As the title suggests I made a map on the latest version of the HL2 engine with the Hammer now included in the "Bin" folder of the game however when trying to open the map in SMOD it crashes to the desktop almost immediately. I'd assume this is because the newer HL2 has an entity that is failing to load on the older version of the Source Engine but when I try to load .vmf in the old 09' version of Hammer it crashes aswell. Is there some kind of work around so I can get the map to load inside SMOD without having to completely remap the entire thing all over again? I can't even get the SourceSDK Hammer to load correctly so if that's the case I can't make maps for SMOD anymore.

Anyone have a fix? Workaround? or anything that can help me get this working?


Edit: I found out that the old Hammer doesn't even work because of the Steampipe update so I can't go back and re-do the map anyway.
« Last Edit: August 30, 2016, 09:38:59 PM by Chr0n0Tr!gg3r »

Offline Onemanshow

  • JuanMan
  • *
  • *
  • +67% chance to make useful post
  • Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!Onemanshow is awe-inspiring!
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #1 on: August 30, 2016, 11:45:25 PM »
Its not entity based, but BSP versions. SMOD was built on the 2004/05 engine code, so any maps that were compiled on the 2007/2013 SDK will not load in SMOD. This also includes the Orange Box SDK's before Valve phased them out. Source SDK 2006 is the only branch that will compile maps that work with SMOD.

Offline Chr0n0Tr!gg3r

  • *
  • *
  • +2% chance to make useful post
  • Chr0n0Tr!gg3r has no influence.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #2 on: August 31, 2016, 03:56:20 AM »
Its not entity based, but BSP versions. SMOD was built on the 2004/05 engine code, so any maps that were compiled on the 2007/2013 SDK will not load in SMOD. This also includes the Orange Box SDK's before Valve phased them out. Source SDK 2006 is the only branch that will compile maps that work with SMOD.

Now that actually makes sense, I tried to set up SourceSDK but I was getting a scheme file error and apparently you can't use it anymore because of the steampipe update. Do you or anyone else here have a working 06 vbsp.exe so I can drop the vmf into it and compile or is there a way I can transfer my map to the 06 hammer and compile it that way? Does anyone even have a working Hammer 06' because I don't, if anyone can help me with this I'd seriously appreciate it.
« Last Edit: August 31, 2016, 04:30:18 AM by Chr0n0Tr!gg3r »

Offline sirmasters

  • *
  • +5% chance to make useful post
  • sirmasters barely matters.sirmasters barely matters.
    • My Twitter (My Forums are inactive at the moment)
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #3 on: August 31, 2016, 08:34:36 AM »
Its not entity based, but BSP versions. SMOD was built on the 2004/05 engine code, so any maps that were compiled on the 2007/2013 SDK will not load in SMOD. This also includes the Orange Box SDK's before Valve phased them out. Source SDK 2006 is the only branch that will compile maps that work with SMOD.

Now that actually makes sense, I tried to set up SourceSDK but I was getting a scheme file error and apparently you can't use it anymore because of the steampipe update. Do you or anyone else here have a working 06 vbsp.exe so I can drop the vmf into it and compile or is there a way I can transfer my map to the 06 hammer and compile it that way? Does anyone even have a working Hammer 06' because I don't, if anyone can help me with this I'd seriously appreciate it.

Try this maybe, I haven't tested it, but it seems the last version of it was made for the 06 engine (and SiN Episodes Emergence)? http://www.ammahls.com/zhlt/cst.htm http://ammahls.com/cst/setting_up_cst.htm
._. I love coffee.

Offline Zoldat

  • *
  • +6% chance to make useful post
  • Zoldat barely matters.Zoldat barely matters.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #4 on: August 31, 2016, 08:47:23 AM »
Its not entity based, but BSP versions. SMOD was built on the 2004/05 engine code, so any maps that were compiled on the 2007/2013 SDK will not load in SMOD. This also includes the Orange Box SDK's before Valve phased them out. Source SDK 2006 is the only branch that will compile maps that work with SMOD.

Now that actually makes sense, I tried to set up SourceSDK but I was getting a scheme file error and apparently you can't use it anymore because of the steampipe update. Do you or anyone else here have a working 06 vbsp.exe so I can drop the vmf into it and compile or is there a way I can transfer my map to the 06 hammer and compile it that way? Does anyone even have a working Hammer 06' because I don't, if anyone can help me with this I'd seriously appreciate it.

I actually have an old custom build Source SDK too(although different from Sirmasters's), which works on 2006 engine and can build maps for games working on it - including Smod. Here's the link for SDK 2006' map compilation tools including vbsp: https://www.dropbox.com/s/di4kqxuevmsf614/sdk2006tools.rar?dl=0

I hope that will help :) If you want, I can give the whole SDK too.  ;)

Offline Chr0n0Tr!gg3r

  • *
  • *
  • +2% chance to make useful post
  • Chr0n0Tr!gg3r has no influence.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #5 on: August 31, 2016, 01:59:03 PM »
Its not entity based, but BSP versions. SMOD was built on the 2004/05 engine code, so any maps that were compiled on the 2007/2013 SDK will not load in SMOD. This also includes the Orange Box SDK's before Valve phased them out. Source SDK 2006 is the only branch that will compile maps that work with SMOD.

Now that actually makes sense, I tried to set up SourceSDK but I was getting a scheme file error and apparently you can't use it anymore because of the steampipe update. Do you or anyone else here have a working 06 vbsp.exe so I can drop the vmf into it and compile or is there a way I can transfer my map to the 06 hammer and compile it that way? Does anyone even have a working Hammer 06' because I don't, if anyone can help me with this I'd seriously appreciate it.

I actually have an old custom build Source SDK too(although different from Sirmasters's), which works on 2006 engine and can build maps for games working on it - including Smod. Here's the link for SDK 2006' map compilation tools including vbsp: https://www.dropbox.com/s/di4kqxuevmsf614/sdk2006tools.rar?dl=0

I hope that will help :) If you want, I can give the whole SDK too.  ;)

If by the whole SDK you mean the 06' hammer included then yes please, sign me up. I tried dropping my vmf in both the CST tools and the compiler tools for 06' and I got two different errors.

CST:


VBSP:

Offline Zoldat

  • *
  • +6% chance to make useful post
  • Zoldat barely matters.Zoldat barely matters.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #6 on: August 31, 2016, 02:37:40 PM »
Its not entity based, but BSP versions. SMOD was built on the 2004/05 engine code, so any maps that were compiled on the 2007/2013 SDK will not load in SMOD. This also includes the Orange Box SDK's before Valve phased them out. Source SDK 2006 is the only branch that will compile maps that work with SMOD.

Now that actually makes sense, I tried to set up SourceSDK but I was getting a scheme file error and apparently you can't use it anymore because of the steampipe update. Do you or anyone else here have a working 06 vbsp.exe so I can drop the vmf into it and compile or is there a way I can transfer my map to the 06 hammer and compile it that way? Does anyone even have a working Hammer 06' because I don't, if anyone can help me with this I'd seriously appreciate it.

I actually have an old custom build Source SDK too(although different from Sirmasters's), which works on 2006 engine and can build maps for games working on it - including Smod. Here's the link for SDK 2006' map compilation tools including vbsp: https://www.dropbox.com/s/di4kqxuevmsf614/sdk2006tools.rar?dl=0

I hope that will help :) If you want, I can give the whole SDK too.  ;)

If by the whole SDK you mean the 06' hammer included then yes please, sign me up. I tried dropping my vmf in both the CST tools and the compiler tools for 06' and I got two different errors.

CST:


VBSP:


Ok. Here's the whole SDK: https://www.dropbox.com/s/f2p9yor7gdyws39/CSMSourceSDKSP3Setup.exe?dl=0

Offline Chr0n0Tr!gg3r

  • *
  • *
  • +2% chance to make useful post
  • Chr0n0Tr!gg3r has no influence.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #7 on: August 31, 2016, 02:38:55 PM »
Its not entity based, but BSP versions. SMOD was built on the 2004/05 engine code, so any maps that were compiled on the 2007/2013 SDK will not load in SMOD. This also includes the Orange Box SDK's before Valve phased them out. Source SDK 2006 is the only branch that will compile maps that work with SMOD.

Now that actually makes sense, I tried to set up SourceSDK but I was getting a scheme file error and apparently you can't use it anymore because of the steampipe update. Do you or anyone else here have a working 06 vbsp.exe so I can drop the vmf into it and compile or is there a way I can transfer my map to the 06 hammer and compile it that way? Does anyone even have a working Hammer 06' because I don't, if anyone can help me with this I'd seriously appreciate it.

I actually have an old custom build Source SDK too(although different from Sirmasters's), which works on 2006 engine and can build maps for games working on it - including Smod. Here's the link for SDK 2006' map compilation tools including vbsp: https://www.dropbox.com/s/di4kqxuevmsf614/sdk2006tools.rar?dl=0

I hope that will help :) If you want, I can give the whole SDK too.  ;)

If by the whole SDK you mean the 06' hammer included then yes please, sign me up. I tried dropping my vmf in both the CST tools and the compiler tools for 06' and I got two different errors.

CST:


VBSP:


Ok. Here's the whole SDK: https://www.dropbox.com/s/f2p9yor7gdyws39/CSMSourceSDKSP3Setup.exe?dl=0

Will this work as an independent program?

Edit: I managed to get it but my anti-virus deleted it because it detected a Trojan virus inside of it and now the dropbox link is restricted.
« Last Edit: August 31, 2016, 02:42:10 PM by Chr0n0Tr!gg3r »

Offline Zoldat

  • *
  • +6% chance to make useful post
  • Zoldat barely matters.Zoldat barely matters.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #8 on: August 31, 2016, 02:42:35 PM »
Its not entity based, but BSP versions. SMOD was built on the 2004/05 engine code, so any maps that were compiled on the 2007/2013 SDK will not load in SMOD. This also includes the Orange Box SDK's before Valve phased them out. Source SDK 2006 is the only branch that will compile maps that work with SMOD.

Now that actually makes sense, I tried to set up SourceSDK but I was getting a scheme file error and apparently you can't use it anymore because of the steampipe update. Do you or anyone else here have a working 06 vbsp.exe so I can drop the vmf into it and compile or is there a way I can transfer my map to the 06 hammer and compile it that way? Does anyone even have a working Hammer 06' because I don't, if anyone can help me with this I'd seriously appreciate it.

I actually have an old custom build Source SDK too(although different from Sirmasters's), which works on 2006 engine and can build maps for games working on it - including Smod. Here's the link for SDK 2006' map compilation tools including vbsp: https://www.dropbox.com/s/di4kqxuevmsf614/sdk2006tools.rar?dl=0

I hope that will help :) If you want, I can give the whole SDK too.  ;)

If by the whole SDK you mean the 06' hammer included then yes please, sign me up. I tried dropping my vmf in both the CST tools and the compiler tools for 06' and I got two different errors.

CST:


VBSP:


Ok. Here's the whole SDK: https://www.dropbox.com/s/f2p9yor7gdyws39/CSMSourceSDKSP3Setup.exe?dl=0

Will this work as an independent program?

Yes. In fact, I have two SDKs: one for 2006 engine and another for 2013, and they both work well.

And about viruses: there aren't any. It is because of a some sort of steam crack inside, so it could work. False alert, that's all.
« Last Edit: August 31, 2016, 02:44:37 PM by Zoldat »

Offline Zoldat

  • *
  • +6% chance to make useful post
  • Zoldat barely matters.Zoldat barely matters.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #9 on: August 31, 2016, 02:46:30 PM »
You say the link is restricted now. Should I give you the already installed SDK instead?

Offline Chr0n0Tr!gg3r

  • *
  • *
  • +2% chance to make useful post
  • Chr0n0Tr!gg3r has no influence.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #10 on: August 31, 2016, 02:57:45 PM »
You say the link is restricted now. Should I give you the already installed SDK instead?

If it's usable then sure, I'm just curious as to why there was a potential Trojan in the installer.

Offline Zoldat

  • *
  • +6% chance to make useful post
  • Zoldat barely matters.Zoldat barely matters.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #11 on: August 31, 2016, 03:03:42 PM »
You say the link is restricted now. Should I give you the already installed SDK instead?

If it's usable then sure, I'm just curious as to why there was a potential Trojan in the installer.

It is because of Steam emulator inside, which was put in order to get sdk working. It was said on the site I downloaded SDK from, that it is a common problem, and there are no real trojan/viruses inside. So don't worry  :)

Here's the already installed sdk: https://www.dropbox.com/s/dpyvtbcroch51n8/SourceSDK.rar?dl=0
Sorry for inconvenience, I hope that everything will work well  :)

Offline Chr0n0Tr!gg3r

  • *
  • *
  • +2% chance to make useful post
  • Chr0n0Tr!gg3r has no influence.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #12 on: August 31, 2016, 03:10:45 PM »
You say the link is restricted now. Should I give you the already installed SDK instead?

If it's usable then sure, I'm just curious as to why there was a potential Trojan in the installer.

It is because of Steam emulator inside, which was put in order to get sdk working. It was said on the site I downloaded SDK from, that it is a common problem, and there are no real trojan/viruses inside. So don't worry  :)

Here's the already installed sdk: https://www.dropbox.com/s/dpyvtbcroch51n8/SourceSDK.rar?dl=0
Sorry for inconvenience, I hope that everything will work well  :)

Now it's saying your account is generating too much traffic so the link doesn't work.

Offline Zoldat

  • *
  • +6% chance to make useful post
  • Zoldat barely matters.Zoldat barely matters.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #13 on: August 31, 2016, 03:56:32 PM »
You say the link is restricted now. Should I give you the already installed SDK instead?

If it's usable then sure, I'm just curious as to why there was a potential Trojan in the installer.

It is because of Steam emulator inside, which was put in order to get sdk working. It was said on the site I downloaded SDK from, that it is a common problem, and there are no real trojan/viruses inside. So don't worry  :)

Here's the already installed sdk: https://www.dropbox.com/s/dpyvtbcroch51n8/SourceSDK.rar?dl=0
Sorry for inconvenience, I hope that everything will work well  :)

Now it's saying your account is generating too much traffic so the link doesn't work.

I uploaded it on mediafire, here http://www.mediafire.com/download/f6whquwbhh35okp/SourceSDK.rar
Sorry for troubles  :-[

Offline Chr0n0Tr!gg3r

  • *
  • *
  • +2% chance to make useful post
  • Chr0n0Tr!gg3r has no influence.
Re: Newer HL2 Maps not Compatible with SMOD Standalone's Engine
« Reply #14 on: August 31, 2016, 05:49:31 PM »
So I tried to open the Hammer portion of the SDK and it says HL2 is missing the gameinfo text even though it's in the folder, have any idea how to fix it?